Skip to main content
GET
/
api
/
migration
/
infrastructure-config
/
defaults
Get run-level default variables for wizard pre-population
curl --request GET \
  --url https://api.example.com/api/migration/infrastructure-config/defaults \
  --header 'Authorization: Bearer <token>'
{
  "default_s3_bucket": "<string>",
  "tracking_database": "<string>",
  "tracking_location": "<string>",
  "report_output_location": "<string>",
  "email_recipients": "<string>",
  "distcp_mappers": 123,
  "distcp_bandwidth": 123,
  "mapr_user": "<string>",
  "mapr_ticketfile_location": "<string>",
  "kinit_principal": "<string>",
  "kinit_keytab": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Successful Response

Run-level defaults pre-populated from Airflow variables into the wizard.

default_s3_bucket
string | null
tracking_database
string | null
tracking_location
string | null
report_output_location
string | null
email_recipients
string | null
distcp_mappers
integer | null
distcp_bandwidth
integer | null
mapr_user
string | null
mapr_ticketfile_location
string | null
kinit_principal
string | null
kinit_keytab
string | null